import { post } from '#/api/http'

import { BasicService } from './basic'

class ClassService extends BasicService {
  async lockScreen(data: { classId: any; status: 0 | 1 }) {
    await post('/school/classScreenLock/lock', data)
  }

  protected findPageUrl(): string {
    return '/org/class/list'
  }

  protected removeUrl(): string {
    return '/org/class/delete'
  }

  protected saveOrUpdateUrl(): string {
    return '/org/class/saveOrUpdate'
  }
}

export const classService = new ClassService()
